#include "versioncontainer.h"

VersionContainer::VersionContainer(QObject *parent) :
    QObject(parent)
{

}

VersionContainer::~VersionContainer()
{

}

QString VersionContainer::getServerVersion() const
{
    return serverVersionData->getViewName();
}

QString VersionContainer::getLocalVersion() const
{
    return localVersionData->getViewName();
}

StreamingVersionData *VersionContainer::getLocalVersionData() const
{
    return localVersionData;
}

void VersionContainer::setLocalVersionData(StreamingVersionData *value)
{
    localVersionData = value;
}

StreamingVersionData *VersionContainer::getServerVersionData() const
{
    return serverVersionData;
}

void VersionContainer::setServerVersionData(StreamingVersionData *value)
{
    serverVersionData = value;
}
